commit: 0077ae23dd15df50b2ba573c68920533998b1a56
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 8 06:55:16 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun 8 06:55:16 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0077ae23
dev-python/tavern: Bump to 2.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/tavern/Manifest | 1 +
dev-python/tavern/tavern-2.1.0.ebuild | 54 +++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-python/tavern/Manifest b/dev-python/tavern/Manifest
index c180fba781bd..c282a0018fc4 100644
--- a/dev-python/tavern/Manifest
+++ b/dev-python/tavern/Manifest
@@ -1 +1,2 @@
DIST tavern-2.0.7.gh.tar.gz 207577 BLAKE2B
1583bfdb0ef013f65ed437bb613e87ad0d0e9375cceb3ed295dfe96afcdc11607b77b9e91cfe3db2f5b53a33be56db558f2f489ba60cda15c270ab9ec07118a2
SHA512
9e69d4dc3a3a06855cbbb567e9b73e62fe65832e022e3d0eb471d2eee9035950207abbba2fca5e0aeda091987bebafce78ba96814a41bf785dab5a48afdc5302
+DIST tavern-2.1.0.gh.tar.gz 209527 BLAKE2B
86023c19b5293a16f00f7f7e72e44e6ddfc51979cc10d8ba85265bdbddbdf6a2dab89d3f0588a3429eabba1871ebc97c5979d728e25fc5f27aea7dda58dc594f
SHA512
a689ff8fa57bce5b11d7b3a34c89f1096fe45c2e5a5314196f67db43b5811580248ed70f5eb6bb69d619ce458248513205c7b3df876e4033dd96169d6680bbe9
diff --git a/dev-python/tavern/tavern-2.1.0.ebuild
b/dev-python/tavern/tavern-2.1.0.ebuild
new file mode 100644
index 000000000000..6d527aada725
--- /dev/null
+++ b/dev-python/tavern/tavern-2.1.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool, library, and Pytest plugin for testing RESTful APIs"
+HOMEPAGE="
+ https://github.com/taverntesting/tavern/
+ https://pypi.org/project/tavern/
+"
+SRC_URI="
+ https://github.com/taverntesting/tavern/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/paho-mqtt[${PYTHON_USEDEP}]
+ dev-python/pyjwt[${PYTHON_USEDEP}]
+ dev-python/pykwalify[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/python-box[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/stevedore[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/Faker[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # strip unnecessary pins, upstream doesn't update them a lot
+ sed -i -E -e 's:,?<=?[0-9.]+::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest -p tavern
+}